Creates a new equipment_model object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1d756fe8-8980-4a5b-8fcb-82ec6a711ae9",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "3ee2c774-a650-44fd-afbf-ae50bee035ff",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "84ce2393-a0b9-4a38-b029-ff2759be4d53",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "fd5214f8-e46c-4ebb-8638-51236d45c9b9",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "30df0844-9b1d-4aff-b469-7290e5c033a9",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ccc423e-673a-4808-bcea-4ccaf0630a09",
      "db_currency_id": "47269dbb-2f45-4b9c-bade-cc466e1db781",
      "db_language_id": "a4bf21e4-dfad-45ca-8210-e0bf7982cafa",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
    },
    "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
  },
  "equipment_family_id": "81327dff-34e6-494c-844c-361251bb9e75",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "d0a35051-b3e3-43fd-8d8c-3404e76949ea",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "6450566b-4c5e-46d4-878a-3dd0a485cbf3",
    "_parent_code": "sample string 6",
    "sales_organization_id": "8ddd0662-cca3-4b52-b77d-6f1b6002f931",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "30df0844-9b1d-4aff-b469-7290e5c033a9",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1ccc423e-673a-4808-bcea-4ccaf0630a09",
      "db_currency_id": "47269dbb-2f45-4b9c-bade-cc466e1db781",
      "db_language_id": "a4bf21e4-dfad-45ca-8210-e0bf7982cafa",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
    },
    "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
  },
  "date_in_production_since": "2026-05-26T17:11:11.15122+00:00",
  "date_out_of_production_since": "2026-05-26T17:11:11.15122+00:00",
  "date_end_support": "2026-05-26T17:11:11.15122+00:00",
  "sales_organization_id": "880d8b92-9fbe-471f-acf1-fba4b07a4d20",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "30df0844-9b1d-4aff-b469-7290e5c033a9",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "1ccc423e-673a-4808-bcea-4ccaf0630a09",
    "db_currency_id": "47269dbb-2f45-4b9c-bade-cc466e1db781",
    "db_language_id": "a4bf21e4-dfad-45ca-8210-e0bf7982cafa",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-05-26T17:11:11.15122+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.